<!-- 个人资料修改 -->
<template>
	<view>
		<u-cell-group>
			<u-cell-item title="头像">
				<u-upload slot="right-icon" :custom-btn="true" :before-upload="beforeUpload" :multiple="false" :show-upload-list="false">
					<u-avatar slot="addBtn" :src="avatarUrl" mode="square" size="100"></u-avatar>
				</u-upload>
			</u-cell-item>
		</u-cell-group>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				avatarUrl: require('@/static/img/avatar.jpg')
			}
		},
		methods: {
			beforeUpload(index, list) {
				console.log(index)
				console.log(list)
			}
		}
	}
</script>

<style>

</style>
